Bug 213844 - some fonts look bad in firefox / thunderbird
some fonts look bad in firefox / thunderbird
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dejavu-lgc-fonts (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-03 07:17 EST by Marius Andreiana
Modified: 2009-01-09 02:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:00:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot-Enter Bug (Expert) - Mozilla Firefox.png (74.42 KB, image/png)
2006-11-03 07:17 EST, Marius Andreiana
no flags Details
Thunderbird (1.35 KB, image/png)
2006-11-03 07:18 EST, Marius Andreiana
no flags Details
Red Hat Bugzilla text edit area. (211.06 KB, image/png)
2008-04-09 12:31 EDT, Diego
no flags Details
Xorg Bugzilla text. (132.67 KB, image/png)
2008-04-09 12:33 EDT, Diego
no flags Details
Fedora Project Start Page. (81.66 KB, image/png)
2008-04-09 12:37 EDT, Diego
no flags Details
Fedora Project Start Page in Fedora 9 Preview. (153.94 KB, image/png)
2008-04-20 10:24 EDT, Diego
no flags Details
Red Hat Bugzilla text edit area in Fedora 9 Preview. (167.84 KB, image/png)
2008-04-20 10:25 EDT, Diego
no flags Details

  None (edit)
Description Marius Andreiana 2006-11-03 07:17:57 EST
Description of problem:
Please see the attached screenshots from firefox / thunderbird with fonts which
look bad. In FC5 they were ok.

How reproducible:
100%

Steps to Reproduce:
1. open webpage with textarea, such as this one
Comment 1 Marius Andreiana 2006-11-03 07:17:57 EST
Created attachment 140237 [details]
Screenshot-Enter Bug (Expert) - Mozilla Firefox.png
Comment 2 Marius Andreiana 2006-11-03 07:18:53 EST
Created attachment 140238 [details]
Thunderbird
Comment 3 Bruce Brackbill 2006-11-04 12:22:12 EST
I also have the bad fonts in firefox and thunderbird. ( new fc6 install )

Generally speaking, the fonts accross the whole system are bad/ugly ( compared
to fc5 which were pretty good ).  This causes a very unpleasant experience using
fc6.
Maybe this has something to do with bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=210491

I know this is not a support forum, but if someone could post how to set the
default system font to use the old fc5 fonts ( a a temporary workaround to this
problem ), your help would be much appreciated.





Comment 4 Matěj Cepl 2006-12-28 16:47:30 EST
Marius, it is probably too late to understand you -- what's exactly wrong with
the fonts? ReASSIGNing this to more appropriate component (hopefully).
Comment 5 Marius Andreiana 2006-12-29 03:43:10 EST
The letters seem un-aliased anymore, but I can't tell exactly. I'll try to get
another screenshot when I get a more obvious case.
Bug #210491 says freetype 2.2.2 fixes this.

Thanks
Comment 6 Bug Zapper 2008-04-04 00:23:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Diego 2008-04-09 12:28:57 EDT
The bug is still present in Fedora 8 with Firefox 2.0.0.13.
Here you are some more screenshots.
Comment 8 Diego 2008-04-09 12:31:37 EDT
Created attachment 301842 [details]
Red Hat Bugzilla text edit area.
Comment 9 Diego 2008-04-09 12:33:16 EDT
Created attachment 301843 [details]
Xorg Bugzilla text.
Comment 10 Diego 2008-04-09 12:37:15 EDT
Created attachment 301845 [details]
Fedora Project Start Page.

Please note the bad rendering with some letters. For example in the sentence:
"Red Hat is not responsible for content."
some letters have not good spacing. For example between "i" and "s" in "is";
"s" and "p", "i" and "b", "l" and "e" in "responsible".
Comment 11 Diego 2008-04-20 10:23:26 EDT
It seems to be solved in Fedora 9 Preview.
Comment 12 Diego 2008-04-20 10:24:39 EDT
Created attachment 303055 [details]
Fedora Project Start Page in Fedora 9 Preview.
Comment 13 Diego 2008-04-20 10:25:37 EDT
Created attachment 303056 [details]
Red Hat Bugzilla text edit area in Fedora 9 Preview.
Comment 14 Bug Zapper 2008-11-26 02:04:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-01-09 02:00:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.